<div fxLayout="row" fxLayoutAlign="space-between center" fxLayoutGap="20px">
    <div fxFlex="100" class="mat-elevation-z8">
        <mat-card class="example-card">
            <mat-card-header>
                <div mat-card-avatar class="example-header-image"></div>
                <mat-card-title>Consultations:</mat-card-title>
            </mat-card-header>
            <mat-card-actions *ngIf="authService.isNurse()">
                <div class="example-button-container">
                    <button (click)="addConsultation()" mat-mini-fab color="primary"
                            aria-label="Example icon button with a menu icon">
                        <mat-icon>add</mat-icon>
                    </button>
                </div>
            </mat-card-actions>
            <mat-card-content>
                <div>
                    <input #i matInput [matDatepicker]="picker" required>
                    <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                    <mat-datepicker #picker></mat-datepicker>
                    <!-- <input
                     placeholder="search by date" [(ngModel)]='keyword'> -->
                    <!-- <mat-form-field appearance="outline" fxFlex>
                       <mat-label>Choose a date</mat-label>
                       <mat-icon matSuffix class="secondary-text">calendar</mat-icon>

                       <input #i formControlName="date" matInput [matDatepicker]="picker">
                       <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                       <mat-datepicker #picker></mat-datepicker>
                   </mat-form-field> -->

                    <button (click)="search(i.value)" mat-raised-button color="primary">Search</button>
                </div>
                <table mat-table [dataSource]="dataSource">
                    <ng-template let-displayedColumns="displayedColumnsVariable"
                                 [ngTemplateOutletContext]="{ displayedColumnsVariable: getDisplayedColumns() }"
                                 [ngTemplateOutlet]="selfie" #selfie>
                        <!--                        'date', 'total','amountPaid','Actions'-->
                        <ng-container matColumnDef="reason">
                            <th mat-header-cell *matHeaderCellDef>reason</th>
                            <td mat-cell *matCellDef="let element"> {{element.reason}} </td>
                        </ng-container>
                        <ng-container matColumnDef="date">
                            <th mat-header-cell *matHeaderCellDef>date</th>
                            <td mat-cell *matCellDef="let element"> {{element.date}} </td>
                        </ng-container>
                        <ng-container matColumnDef="total">
                            <th mat-header-cell *matHeaderCellDef>total</th>
                            <td mat-cell *matCellDef="let element"> {{element.payment.total}} </td>
                        </ng-container>
                        <ng-container matColumnDef="amountPaid">
                            <th mat-header-cell *matHeaderCellDef>amountPaid</th>
                            <td mat-cell *matCellDef="let element"> {{element.payment.amountPaid}} </td>
                        </ng-container>
                        <ng-container matColumnDef="paymentStatus">
                            <th mat-header-cell *matHeaderCellDef>Payment status</th>

                            <td mat-cell *matCellDef="let element">
                                 <span [ngStyle]="{'color': element.payment.status=='Incomplete'? 'red':'green' }">
                                {{element.payment.status}}
                            </span>
                                 </td>
                        </ng-container>
                        <ng-container matColumnDef="Actions"
                                      *ngIf="this.authService.isNurse()"
                        >
                            <th mat-header-cell *matHeaderCellDef> Actions</th>
                            <td mat-cell *matCellDef="let element">
                                <div class="example-button-container">
                                    <!--*ngIf="authService.isSecretary()"-->
                                    <button
                                        (click)="deleteConsultation(element.id)" mat-icon-button color="primary"
                                        aria-label="Example icon button with a home icon">
                                        <mat-icon>delete</mat-icon>
                                    </button>
                                    <!--*ngIf="authService.isSecretary()"-->
                                    <button
                                        (click)="editConsultation(element)" mat-icon-button color="primary"
                                        aria-label="Example icon button with a home icon">
                                        <mat-icon>edit</mat-icon>
                                    </button>
                                    <!--   *ngIf="authService.isDoctor()"-->
                                    <button
                                        (click)="onDetailConsultation(element.id)" mat-icon-button color="primary"
                                        aria-label="Example icon button with a home icon">
                                        <mat-icon>visibility</mat-icon>
                                    </button>
                                </div>
                            </td>
                        </ng-container>
                        <!--                        <div *ngFor="let column of displayedColumns ; let i=index">-->
                        <!--                            <ng-container *ngIf="i!=displayedColumns.length-1" matColumnDef="{{column}}">-->
                        <!--                                <th mat-header-cell *matHeaderCellDef>{{column}}</th>-->
                        <!--                                <td mat-cell *matCellDef="let element"> {{element[column]}} </td>-->
                        <!--                            </ng-container>-->
                        <!--                            <ng-container *ngIf="i==displayedColumns.length-1" matColumnDef="{{displayedColumns[i]}}">-->
                        <!--                                <th mat-header-cell *matHeaderCellDef>{{displayedColumns[i]}}</th>-->
                        <!--                                <td mat-cell *matCellDef="let element">-->
                        <!--                                    <div class="example-button-container">-->
                        <!--                                        &lt;!&ndash;*ngIf="authService.isSecretary()"&ndash;&gt;-->
                        <!--                                        <button-->
                        <!--                                            (click)="deleteConsultation(element.id)" mat-icon-button color="primary"-->
                        <!--                                            aria-label="Example icon button with a home icon">-->
                        <!--                                            <mat-icon>delete</mat-icon>-->
                        <!--                                        </button>-->
                        <!--                                        &lt;!&ndash;*ngIf="authService.isSecretary()"&ndash;&gt;-->
                        <!--                                        <button-->
                        <!--                                            (click)="editConsultation(element)" mat-icon-button color="primary"-->
                        <!--                                            aria-label="Example icon button with a home icon">-->
                        <!--                                            <mat-icon>edit</mat-icon>-->
                        <!--                                        </button>-->
                        <!--                                        &lt;!&ndash;   *ngIf="authService.isDoctor()"&ndash;&gt;-->
                        <!--                                        <button-->
                        <!--                                            (click)="onDetailConsultation(element.id)" mat-icon-button color="primary"-->
                        <!--                                            aria-label="Example icon button with a home icon">-->
                        <!--                                            <mat-icon>details</mat-icon>-->
                        <!--                                        </button>-->
                        <!--                                    </div>-->
                        <!--                                </td>-->
                        <!--                            </ng-container>-->
                        <!--                        </div>-->

                        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
                    </ng-template>
                </table>

                <mat-paginator #paginator [length]="length" [pageIndex]="pageIndex" [pageSize]="pageSize"
                               [pageSizeOptions]="[5, 10, 15]" (page)="pageEvent = getServerData($event)"
                               showFirstLastButtons>
                </mat-paginator>

            </mat-card-content>

        </mat-card>
    </div>
</div>
<!--    </fuse-widget>-->
<!---->

